Summary:	nuttcp - network performance measurement tool  
Name:		nuttcp
Version:	8.1.4
Release:	1
License:	GPL
Group:          Networking/Utilities
URL:		ftp://ftp.lcp.nrl.navy.mil/pub/nuttcp/
Source0:	ftp://ftp.lcp.nrl.navy.mil/pub/nuttcp/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  make

# previous AIX versions lack the required IPV6 capabilities
BuildRequires:  AIX-rpm >= 5.3.0.0
Requires:       AIX-rpm >= 5.3.0.0

%description
nuttcp is a network performance measurement tool intended for use by network
and system managers. Its most basic usage is to determine the raw TCP (or
UDP) network layer throughput by transferring memory buffers from a source
system across an interconnecting network to a destination system, either
transferring data for a specified time interval, or alternatively
transferring a specified number of bytes. In addition to reporting the
achieved network throughput in Mbps, nuttcp also provides additional useful
information related to the data transfer such as user, system, and
wall-clock time, transmitter and receiver CPU utilization, and loss
percentage (for UDP transfers).

nuttcp is based on nttcp, which in turn was an enhancement by someone at
Silicon Graphics (SGI) on the original ttcp, which was written by Mike Muuss
at BRL sometime before December 1984, to compare the performance of TCP
stacks by U.C. Berkeley and BBN to help DARPA decide which version to place
in the first BSD Unix release. nuttcp has several useful features beyond
those of the basic ttcp/nttcp, such as a server mode, rate limiting,
multiple parallel streams, and timer based usage. More recent changes
include IPv6 support, IPv4 multicast, and the ability to set the maximum
segment size or TOS/DSCP bits. nuttcp is continuing to evolve to meet new
requirements that arise and to add desired new features. nuttcp has been
successfully built and run on a variety of Solaris, SGI, and PPC/X86 Linux
systems, and should probably work fine on most flavors of Unix. It has also
been used successfully on various versions of the Windows operating system.


%prep
%setup -q
%patch0


%build
gmake aix


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
cp %{name}-%{version} ${RPM_BUILD_ROOT}%{_sbindir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_sbindir}/%{name}

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_sbindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
cp %{name}.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man8/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/sbin
cd usr/sbin
ln -sf ../..%{_sbindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc LICENSE README examples.txt nuttcp.html
%{_sbindir}/
%{_mandir}/man8/*
/usr/sbin/*


%changelog
* Thu Jun 01 2017 Michael Perzl <michael@perzl.org> - 8.1.4-1
- updated to version 8.1.4

* Wed Jul 03 2013 Michael Perzl <michael@perzl.org> - 6.1.2-1
- first version for AIX V5.1 and higher
